Convert Xubuntu CD to dh_python2

Bug #847514 reported by Micah Gersten on 2011-09-12
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
catfish (Ubuntu)
Wishlist
Unassigned
Oneiric
Wishlist
Unassigned
gimp (Ubuntu)
Wishlist
Unassigned
Oneiric
Wishlist
Unassigned
python-debian (Ubuntu)
Wishlist
Unassigned
Oneiric
Wishlist
Unassigned

Bug Description

Following in Ubuntu's footsteps, we're converting from python-support to dh_python2.
Each task will be reset to new to get approval from the release team before uploading.

Micah Gersten (micahg) on 2011-09-12
Changed in catfish (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Changed in gimp (Ubuntu Oneiric):
importance: Undecided → Wishlist
status: New → Triaged
Changed in python-debian (Ubuntu Oneiric):
importance: Undecided → Wishlist
status: New → Triaged
Micah Gersten (micahg) on 2011-09-12
description: updated
Micah Gersten (micahg) wrote :
Micah Gersten (micahg) wrote :
Micah Gersten (micahg) wrote :

@ubuntu-release
Can you review catfish please?

Changed in catfish (Ubuntu Oneiric):
status: Triaged → New
Micah Gersten (micahg) wrote :
Micah Gersten (micahg) wrote :
Micah Gersten (micahg) wrote :

@ubuntu-release
Please review gimp.

Changed in gimp (Ubuntu Oneiric):
status: Triaged → New
Martin Pitt (pitti) wrote :

gimp patch looks fine, thank you! please upload.

Changed in gimp (Ubuntu Oneiric):
status: New → Confirmed
Martin Pitt (pitti) wrote :

catfish looks fine as well, please upload. Thanks!

Changed in catfish (Ubuntu Oneiric):
status: New → Confirmed
Martin Pitt (pitti) wrote :

python-debian was converted in sid. I haven't checked our delta, but we might just be able to sync?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package catfish - 0.3.2-1ubuntu1

---------------
catfish (0.3.2-1ubuntu1) oneiric; urgency=low

  * Convert to dh_python2 (LP: #847514)
    - update debian/rules
    - update debian/control
 -- Micah Gersten <email address hidden> Sun, 11 Sep 2011 22:00:20 -0500

Changed in catfish (Ubuntu Oneiric):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gimp - 2.6.11-2ubuntu3

---------------
gimp (2.6.11-2ubuntu3) oneiric; urgency=low

  * Convert to dh_python2 (LP: #847514)
    - update debian/control
    - update debian/rules
 -- Micah Gersten <email address hidden> Sun, 11 Sep 2011 22:32:16 -0500

Changed in gimp (Ubuntu Oneiric):
status: Confirmed → Fix Released
Barry Warsaw (barry) wrote :

As for python-debian, I'm inclined not to try a sync at this point in the Oneiric cycle. 0.1.21 has some new features and API changes which worry me a bit, and does not include the Ubuntu deltas to support lzma. I'm going to give it a shot to just convert our package to dh_python2 and leave the sync for P.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-debian - 0.1.20ubuntu2

---------------
python-debian (0.1.20ubuntu2) oneiric; urgency=low

  * Switch to dh_python2. (LP: #788514 LP: #847514)
 -- Barry Warsaw <email address hidden> Wed, 14 Sep 2011 14:23:19 -0400

Changed in python-debian (Ubuntu Oneiric):
status: Triaged → Fix Released
Barry Warsaw (barry) wrote :

<barry> micahg: how truly odd. bug 788514 has a task for python-debian, which
        is marked fixed released, and i have a branch sitting here with the
        necessary changes. i usually never manually flip the fix released
        status, so i'm not sure what's going on. maybe i never uploaded the
        change. anyway, i'll do that now

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers